---
metadata:
  - name: generator
    content: Diplodoc Platform v5.61.0
alternate:
  - https://sourcecraft.dev/portal/docs/en/api-ref/Repository-or-Rating/GetMyRatingReaction.md
  - https://sourcecraft.dev/portal/docs/ru/api-ref/Repository-or-Rating/GetMyRatingReaction.md
  - href: https://sourcecraft.dev/portal/docs/en/api-ref/Repository-or-Rating/GetMyRatingReaction.md
    type: text/markdown
    title: Markdown version
  - href: https://sourcecraft.dev/portal/docs/en/llms.txt
    rel: describedby
---
> **Documentation Index:** Fetch the complete configuration index at https://sourcecraft.dev/portal/docs/en/llms.txt

<div class="openapi">

# Get the current user's rating reaction to a repository.

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/rating
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_org_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_repo_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

A successful response.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "reaction": {
    "type": "none",
    "updated_at": "2025-01-01T00:00:00Z"
  }
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_reaction_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [RepositoryRatingReaction](#entity-RepositoryRatingReaction)

A user's reaction that contributes to a repository rating.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "type": "none",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### RepositoryRatingReaction.Type {#entity-RepositoryRatingReaction.Type}

 - none: Remove the current user's rating reaction.
 - positive_low: A low positive rating reaction. Corresponds to Like in the SourceCraft interface.
 - positive_medium: A medium positive rating reaction. Corresponds to Heart in the SourceCraft interface.
 - positive_high: A high positive rating reaction. Corresponds to Diamond in the SourceCraft interface.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `none`, `positive_low`, `positive_medium`, `positive_high`

</div>

<div class="openapi-entity">

### RepositoryRatingReaction {#entity-RepositoryRatingReaction}

A user's reaction that contributes to a repository rating.

#|
|| **Name** | **Description** ||
||

_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [RepositoryRatingReaction.Type](#entity-RepositoryRatingReaction.Type)

 - none: Remove the current user's rating reaction.
 - positive_low: A low positive rating reaction. Corresponds to Like in the SourceCraft interface.
 - positive_medium: A medium positive rating reaction. Corresponds to Heart in the SourceCraft interface.
 - positive_high: A high positive rating reaction. Corresponds to Diamond in the SourceCraft interface.

_Enum:_{.json-schema-reset .json-schema-value} `none`, `positive_low`, `positive_medium`, `positive_high`
{.table-cell}
||
||

_updated_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "type": "none",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__default">

## default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_details_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: unknown

_Example:_{.json-schema-reset .json-schema-example} `null`
{.table-cell}
||
||

_error_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_request_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.